Naar hoofdinhoud gaan
POST
/
v1
/
public
/
accounts
/
{account_id}
/
auth
/
service-accounts
/
{service_account_id}
/
rotate
Token van serviceaccount voor account roteren
curl --request POST \
  --url https://api.hybridbox.io/v1/public/accounts/{account_id}/auth/service-accounts/{service_account_id}/rotate \
  --header 'Authorization: Bearer <token>'
{
  "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "token": "<string>",
  "token_last4": "<string>",
  "token_prefix": "<string>",
  "token_public_id": "<string>",
  "updated_at": "2023-11-07T05:31:56Z",
  "created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "expires_at": "2023-11-07T05:31:56Z",
  "last_used_at": "2023-11-07T05:31:56Z",
  "revoked_at": "2023-11-07T05:31:56Z",
  "revoked_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Documentation Index

Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt

Use this file to discover all available pages before exploring further.

Autorisaties

Authorization
string
header
vereist

Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.

Padparameters

service_account_id
string<uuid>
vereist
account_id
string<uuid>
vereist

Respons

account_id
string<uuid>
vereist
created_at
string<date-time>
vereist
id
string<uuid>
vereist
name
string
vereist
token
string
vereist

Bearer-token in plaintext. Sla het nu op; het wordt nooit meer teruggegeven.

token_last4
string
vereist
token_prefix
string
vereist
token_public_id
string
vereist
updated_at
string<date-time>
vereist
created_by_user_id
string<uuid> | null
expires_at
string<date-time> | null
last_used_at
string<date-time> | null
revoked_at
string<date-time> | null
revoked_by_user_id
string<uuid> | null